Top-up Method Inquiry API
Retrieves the list of top-up methods available to the merchant.
API Information
POST/v1/market/charge/list
Content-Type
application/json테스트
https://tb-mps-api.hectofinancial.co.kr/v1/market/charge/list운영
https://mps-api.hectofinancial.co.kr/v1/market/charge/listRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└midAN(20)Alphanumeric, up to 20 bytes*Merchant ID.
Merchant ID.
*Unique merchant ID assigned by Hecto Financial.
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└rsltCdAN(4)Alphanumeric, up to 4 bytes*Result code.
0000Result code.
0000: Success Other: Failure└rsltMsgAN*Result message.
SuccessResult message.
rsltObj (Response Object - LIST type)
└midAN(20)Alphanumeric, up to 20 bytes*Merchant ID.
M2471645Merchant ID.
└chrgMeanCdAN(10)Alphanumeric, up to 10 bytes*Top-up method code.
CATop-up method code.
CA: Credit card ZOZ: 010 virtual account EZ: My account payment RA: Account transfer PIN: PIN RP: Simple cash payment MM: Money transfer PM: Points transfer└chrgMeanNmAN(20)Alphanumeric, up to 20 bytes*Top-up method name.
Credit cardTop-up method name.
└stDateAN(14)Alphanumeric, up to 14 bytes*Start datetime.
20240101000000Start datetime.
*yyyyMMddHHmmss format. Date from which this top-up method is available.
└edDateAN(14)Alphanumeric, up to 14 bytes*End datetime.
99991231235959End datetime.
*yyyyMMddHHmmss format. Date until which this top-up method is available.
└rmkAN(100)Alphanumeric, up to 100 bytesRemarks.
Remarks.
└minChrgAmtN(7)Numeric, up to 7 bytes*Minimum top-up amount.
10000Minimum top-up amount.
*Minimum amount that can be topped up using this method.
└minChrgUnitCdN(7)Numeric, up to 7 bytes*Minimum top-up unit code.
MANWONMinimum top-up unit code.
*Minimum top-up unit for this method.
└orderN(3)Numeric, up to 3 bytes*Display order.
1Display order.
└chrgCnclPsblYnAN(1)Alphanumeric, up to 1 bytes*Top-up void availability flag.
YTop-up void availability flag.
Y: Available N: Not available*Indicates whether top-up transactions made with this method can be voided.
Request Example
{
"mid": "M2471645"
}
Response Examples
Success
{
"rsltCd": "0000",
"rsltMsg": "Success",
"rsltObj": [
{
"mid": "M2471645",
"chrgMeanCd": "CA",
"chrgMeanNm": "Credit card",
"stDate": "20240101000000",
"edDate": "99991231235959",
"rmk": "",
"minChrgAmt": "10000",
"minChrgUnitCd": "MANWON",
"order": "1",
"chrgCnclPsblYn": "Y"
},
{
"mid": "M2471645",
"chrgMeanCd": "RA",
"chrgMeanNm": "Account transfer",
"stDate": "20240101000000",
"edDate": "99991231235959",
"rmk": "",
"minChrgAmt": "10000",
"minChrgUnitCd": "MANWON",
"order": "2",
"chrgCnclPsblYn": "N"
}
]
}
Failure
{
"rsltCd": "1001",
"rsltMsg": "Merchant information does not exist."
}
Top-up Method Codes
| Code | Top-up Method |
|---|---|
| CA | Credit card |
| ZOZ | 010 virtual account |
| EZ | My account payment |
| RA | Account transfer |
| PIN | PIN |
| RP | Simple cash payment |
| MM | Money transfer |
| PM | Points transfer |
Need technical support?
Code Samples
HectoFinancial GitHub